function [flag,idx] = checkseperable(beta1, k)
% Check if a topic matrix is (approximately) separable. 
% flag = true if input matrix beta1 is separable. 
% A word w is claim to be (approximately) novel word to topic k if:
%  \beta_{wk} > 100 \sum_{j \neq k} \beta_{wj}
flag = true;
idx = sparse(zeros(size(beta1)));
for i=1:k
    x = beta1(:,i);
    y = sum(beta1,2)-x;
    r = y./x;
    Idx = find(r<=1e-3);
    if length(Idx)>=1
        idx(Idx,i)=1;
    else
        flag = false;
        i
    end
end